Bug 176113 - new port: audio/gmtp, a small GUI for libmtp
Summary: new port: audio/gmtp, a small GUI for libmtp
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Guido Falsi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-13 15:20 UTC by Lowell Gilbert
Modified: 2013-03-06 22:40 UTC (History)
0 users

See Also:


Attachments
file.shar (3.68 KB, text/plain)
2013-02-13 15:20 UTC, Lowell Gilbert
no flags Details
gmtp.shar (8.50 KB, application/x-shar)
2013-02-16 18:20 UTC, Guido Falsi
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lowell Gilbert 2013-02-13 15:20:00 UTC
I have developed a port for gmtp, a small GUI for libmtp. This makes
transfer to MTP (Microsoft's Music Transfer Protocol) devices more
convenient. Many smartphones are starting to use MTP instead of umass
for their storage, as it is much better about allowing the phone to
continue to use the "disk" space while connected to the computer.

There are several funny things about this port. The tarball uses
Sourceforge, but with non-standard pathnames and a different
capitalization for the extract directory than for the tarball. The
makefile that comes with the port explicitly calls out gcc in the CC
variable, but it works fine with clang, so I just removed that
setting. That makefile also renames files after installing them; I
left that behaviour unchanged.

How-To-Repeat: 
N/A
Comment 1 Guido Falsi freebsd_committer 2013-02-16 16:54:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->madpilot

I'll take it.
Comment 2 Guido Falsi freebsd_committer 2013-02-16 18:20:48 UTC
Hi!

Thank you for your submission.

I checked your port and made a few modifications.

- added OPTIONS to choose between the gtk2 and gtk3 versions, both work 
fine!
- Fixed the MASTER_SITES to use the SF macro. Please note that ports 
bypass the redirects you see from the sourceforge mirrors. We use our 
own list of mirrors.
- Changed the comment a little. Client looks more descriptive.
- Changed how LIB_DEPENDS were written, this is the standard form
- You forgot to set dependencies on glib20 and gtk via USE_GNOME
- Made the port install it's docs, and defined PORTDOCS accordingly
- Removed the comments
- I changed a few things in the software Makefile, used CC?= instead of 
removing the line, fixed the file moving after installation, fixed the 
path to the gconf files(they go to PREFIX/etc)
- I sorted the plist, also the software is datadir safe, so I used the 
DATADIR macro.
- share/applications must be removed if empty, added dirrmtry for it.

I'm attaching a revised shar, can you approve this modified version?

If you have any questions about the changes I made feel free to ask.

-- 
Guido Falsi <madpilot@FreeBSD.org>
Comment 3 Guido Falsi freebsd_committer 2013-02-16 18:21:26 UTC
State Changed
From-To: open->feedback

Ask for submitter approval.
Comment 4 Lowell Gilbert 2013-02-28 17:16:43 UTC
Guido Falsi <madpilot@FreeBSD.org> writes:

> I'm attaching a revised shar, can you approve this modified version?

Yes, this looks great. I very much appreciate your 
efforts. You wouldn't believe how much time I spent
trying to figure out how to get files out of 
Sourceforge properly.

Be well.
Comment 5 dfilter service freebsd_committer 2013-03-06 22:31:12 UTC
Author: madpilot
Date: Wed Mar  6 22:31:04 2013
New Revision: 313547
URL: http://svnweb.freebsd.org/changeset/ports/313547

Log:
  Basic GUI for Microsoft's Media Transfer Protocol (MTP)
  including file transer and some playlist handling.
  
  WWW: http://gmtp.sourceforge.net/
  
  PR:		ports/176113
  Submitted by:	Lowell Gilbert <freebsd-bugs-local@be-well.ilk.org>

Added:
  head/audio/gmtp/
  head/audio/gmtp/Makefile   (contents, props changed)
  head/audio/gmtp/distinfo   (contents, props changed)
  head/audio/gmtp/files/
  head/audio/gmtp/files/patch-Makefile   (contents, props changed)
  head/audio/gmtp/pkg-descr   (contents, props changed)
  head/audio/gmtp/pkg-plist   (contents, props changed)
Modified:
  head/audio/Makefile

Modified: head/audio/Makefile
==============================================================================
--- head/audio/Makefile	Wed Mar  6 22:15:16 2013	(r313546)
+++ head/audio/Makefile	Wed Mar  6 22:31:04 2013	(r313547)
@@ -234,6 +234,7 @@
     SUBDIR += gmpc-mserver
     SUBDIR += gmpc-shout
     SUBDIR += gmpc-wikipedia
+    SUBDIR += gmtp
     SUBDIR += gmusicbrowser
     SUBDIR += gnaural
     SUBDIR += gnome-audio

Added: head/audio/gmtp/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/audio/gmtp/Makefile	Wed Mar  6 22:31:04 2013	(r313547)
@@ -0,0 +1,55 @@
+# $FreeBSD$
+
+PORTNAME=	gmtp
+PORTVERSION=	1.3.4
+CATEGORIES=	audio
+MASTER_SITES=	SF/${PORTNAME}/gMTP-${PORTVERSION}/
+DISTNAME=	${PORTNAME}-${PORTVERSION}-i386
+
+MAINTAINER=	freebsd-ports-local@be-well.ilk.org
+COMMENT=	Media Transfer Protocol (MTP) GUI client
+
+LICENSE=	BSD
+
+LIB_DEPENDS=	mtp:${PORTSDIR}/audio/libmtp \
+		id3tag:${PORTSDIR}/audio/libid3tag \
+		FLAC:${PORTSDIR}/audio/flac \
+		vorbis:${PORTSDIR}/audio/libvorbis
+
+WRKSRC=		${WRKDIR}/gMTP
+
+CPPFLAGS+=	-I${LOCALBASE}/include
+LDFLAGS+=	-L${LOCALBASE}/lib
+USE_GMAKE=	yes
+USE_GETTEXT=	yes
+USE_GNOME=	glib20
+
+PORTDOCS=	*
+
+OPTIONS_DEFINE=	DOCS
+OPTIONS_RADIO=	GTK
+OPTIONS_RADIO_GTK=	GTK2 GTK3
+OPTIONS_DEFAULT=	GTK2
+
+.include <bsd.port.options.mk>
+
+.if ${PORT_OPTIONS:MGTK2}
+USE_GNOME+=	gtk20 gconf2
+GCONF_SCHEMAS=	gmtp.schemas
+ALL_TARGET=	gtk2
+INSTALL_TARGET=	register-gconf-schemas
+.endif
+
+.if ${PORT_OPTIONS:MGTK3}
+USE_GNOME+=	gtk30
+GLIB_SCHEMAS=	org.gnome.gmtp.gschema.xml
+ALL_TARGET=	gtk3
+INSTALL_TARGET=	register-gsettings-schemas
+.endif
+
+post-install:
+.if ${PORT_OPTIONS:MDOCS}
+	cd ${WRKSRC} && ${GMAKE} install-doc
+.endif
+
+.include <bsd.port.mk>

Added: head/audio/gmtp/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/audio/gmtp/distinfo	Wed Mar  6 22:31:04 2013	(r313547)
@@ -0,0 +1,2 @@
+SHA256 (gmtp-1.3.4-i386.tar.gz) = 9bf99c517bb40b8df288243e2b77aebb2c3d62b2baf98f9aa8675d6cf910be41
+SIZE (gmtp-1.3.4-i386.tar.gz) = 878661

Added: head/audio/gmtp/files/patch-Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/audio/gmtp/files/patch-Makefile	Wed Mar  6 22:31:04 2013	(r313547)
@@ -0,0 +1,70 @@
+--- Makefile.orig	2012-08-06 13:24:43.000000000 +0200
++++ Makefile	2013-02-16 17:52:04.062614859 +0100
+@@ -27,7 +27,7 @@
+ LDFLAGS += -L/usr/sfw/lib -R/usr/sfw/lib
+ endif
+ else
+-CC = gcc
++CC ?= gcc
+ CFLAGS += -std=c99 -Wall
+ INSTALL = install -c
+ MSGFMT = msgfmt
+@@ -126,8 +126,8 @@
+ 	$(INSTALL) -d $(DESTDIR)$(PREFIX)/share/$(PKG_NAME)
+ 	$(INSTALL) -d $(DESTDIR)$(PREFIX)/share/applications
+ 	$(INSTALL) -d $(DESTDIR)$(PREFIX)/share/pixmaps
+-	$(INSTALL) -d $(DESTDIR)$(PREFIX)/share/gconf
+-	$(INSTALL) -d $(DESTDIR)$(PREFIX)/share/gconf/schemas
++	$(INSTALL) -d $(DESTDIR)$(PREFIX)/etc/gconf
++	$(INSTALL) -d $(DESTDIR)$(PREFIX)/etc/gconf/schemas
+ 	$(INSTALL) -d $(DESTDIR)$(PREFIX)/share/locale
+ 	$(INSTALL) -d $(DESTDIR)$(PREFIX)/share/locale/es
+ 	$(INSTALL) -d $(DESTDIR)$(PREFIX)/share/locale/it
+@@ -154,18 +154,16 @@
+ 	$(INSTALL) -m 644 images/empty.png $(DESTDIR)$(PREFIX)/share/$(PKG_NAME)
+ 	$(INSTALL) -m 644 images/view-refresh.png $(DESTDIR)$(PREFIX)/share/$(PKG_NAME)
+ 	$(INSTALL) -m 644 misc/gMTP.desktop $(DESTDIR)$(PREFIX)/share/applications
+-	$(INSTALL) -m 644 images/icon.png $(DESTDIR)$(PREFIX)/share/pixmaps
+-	$(INSTALL) -m 644 misc/gMTP.schemas $(DESTDIR)$(PREFIX)/share/gconf/schemas
+-	mv $(DESTDIR)$(PREFIX)/share/pixmaps/icon.png $(DESTDIR)$(PREFIX)/share/pixmaps/gMTPicon.png
++	$(INSTALL) -m 644 images/icon.png $(DESTDIR)$(PREFIX)/share/pixmaps/gMTPicon.png
++	$(INSTALL) -m 644 misc/gMTP.schemas $(DESTDIR)$(PREFIX)/etc/gconf/schemas/gmtp.schemas
+ 	cp po/es.mo $(DESTDIR)$(PREFIX)/share/locale/es/LC_MESSAGES/gmtp.mo
+ 	cp po/fr.mo $(DESTDIR)$(PREFIX)/share/locale/fr/LC_MESSAGES/gmtp.mo
+ 	cp po/it.mo $(DESTDIR)$(PREFIX)/share/locale/it/LC_MESSAGES/gmtp.mo
+ 	cp po/da.mo $(DESTDIR)$(PREFIX)/share/locale/da/LC_MESSAGES/gmtp.mo
+ 	cp po/de.mo $(DESTDIR)$(PREFIX)/share/locale/de/LC_MESSAGES/gmtp.mo
+-	mv $(DESTDIR)$(PREFIX)/share/gconf/schemas/gMTP.schemas $(DESTDIR)$(PREFIX)/share/gconf/schemas/gmtp.schemas
+ 
+ register-gconf-schemas: install
+-	GCONF_CONFIG_SOURCE=`$(GCONFTOOL) --get-default-source` $(GCONFTOOL) --makefile-install-rule $(DESTDIR)$(PREFIX)/share/gconf/schemas/gmtp.schemas
++	GCONF_CONFIG_SOURCE=`$(GCONFTOOL) --get-default-source` $(GCONFTOOL) --makefile-install-rule $(DESTDIR)$(PREFIX)/etc/gconf/schemas/gmtp.schemas
+ 
+ install-gtk3: gmtp $(catalogues)
+ 	$(INSTALL) -d $(DESTDIR)$(PREFIX)
+@@ -193,7 +191,7 @@
+ 	$(INSTALL) -m 644 images/logo.png $(DESTDIR)$(PREFIX)/share/$(PKG_NAME)
+ 	$(INSTALL) -m 644 images/stock-about-16.png $(DESTDIR)$(PREFIX)/share/$(PKG_NAME)
+ 	$(INSTALL) -m 644 misc/gMTP.desktop $(DESTDIR)$(PREFIX)/share/applications
+-	$(INSTALL) -m 644 images/icon.png $(DESTDIR)$(PREFIX)/share/pixmaps
++	$(INSTALL) -m 644 images/icon.png $(DESTDIR)$(PREFIX)/share/pixmaps/gMTPicon.png
+ 	$(INSTALL) -m 644 images/audio-x-mp3-playlist.png $(DESTDIR)$(PREFIX)/share/$(PKG_NAME)
+ 	$(INSTALL) -m 644 images/audio-x-mpeg.png $(DESTDIR)$(PREFIX)/share/$(PKG_NAME)
+ 	$(INSTALL) -m 644 images/folder.png $(DESTDIR)$(PREFIX)/share/$(PKG_NAME)
+@@ -203,7 +201,6 @@
+ 	$(INSTALL) -m 644 images/video-x-generic.png $(DESTDIR)$(PREFIX)/share/$(PKG_NAME)
+ 	$(INSTALL) -m 644 images/empty.png $(DESTDIR)$(PREFIX)/share/$(PKG_NAME)
+ 	$(INSTALL) -m 644 images/view-refresh.png $(DESTDIR)$(PREFIX)/share/$(PKG_NAME)
+-	mv $(DESTDIR)$(PREFIX)/share/pixmaps/icon.png $(DESTDIR)$(PREFIX)/share/pixmaps/gMTPicon.png
+ 	cp po/es.mo $(DESTDIR)$(PREFIX)/share/locale/es/LC_MESSAGES/gmtp.mo
+ 	cp po/fr.mo $(DESTDIR)$(PREFIX)/share/locale/fr/LC_MESSAGES/gmtp.mo
+ 	cp po/it.mo $(DESTDIR)$(PREFIX)/share/locale/it/LC_MESSAGES/gmtp.mo
+@@ -227,7 +224,7 @@
+ 	rm -f  $(DESTDIR)$(PREFIX)/share/$(PKG_NAME)/*
+ 	rm -f  $(DESTDIR)$(PREFIX)/share/applications/gMTP.desktop
+ 	rm -f  $(DESTDIR)$(PREFIX)/share/pixmaps/gMTPicon.png
+-	rm -f  $(DESTDIR)$(PREFIX)/share/gconf/schemas/gmtp.schemas
++	rm -f  $(DESTDIR)$(PREFIX)/share/etc/schemas/gmtp.schemas
+ 	rm -f  $(DESTDIR)$(PREFIX)/share/glib-2.0/schemas/org.gnome.gMTP.gschema.xml
+ 	rm -f  $(DESTDIR)$(PREFIX)/share/locale/es/LC_MESSAGES/gmtp.mo
+ 	rm -f  $(DESTDIR)$(PREFIX)/share/locale/fr/LC_MESSAGES/gmtp.mo

Added: head/audio/gmtp/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/audio/gmtp/pkg-descr	Wed Mar  6 22:31:04 2013	(r313547)
@@ -0,0 +1,4 @@
+Basic GUI for Microsoft's Media Transfer Protocol (MTP)
+including file transer and some playlist handling.
+
+WWW: http://gmtp.sourceforge.net/

Added: head/audio/gmtp/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/audio/gmtp/pkg-plist	Wed Mar  6 22:31:04 2013	(r313547)
@@ -0,0 +1,23 @@
+bin/gmtp
+%%DATADIR%%/audio-x-mp3-playlist.png
+%%DATADIR%%/audio-x-mpeg.png
+%%DATADIR%%/empty.png
+%%DATADIR%%/folder.png
+%%DATADIR%%/icon-16.png
+%%DATADIR%%/icon.png
+%%DATADIR%%/image-x-generic.png
+%%DATADIR%%/logo.png
+%%DATADIR%%/media-cdrom-audio.png
+%%DATADIR%%/stock-about-16.png
+%%DATADIR%%/text-plain.png
+%%DATADIR%%/video-x-generic.png
+%%DATADIR%%/view-refresh.png
+share/applications/gMTP.desktop
+share/locale/da/LC_MESSAGES/gmtp.mo
+share/locale/de/LC_MESSAGES/gmtp.mo
+share/locale/es/LC_MESSAGES/gmtp.mo
+share/locale/fr/LC_MESSAGES/gmtp.mo
+share/locale/it/LC_MESSAGES/gmtp.mo
+share/pixmaps/gMTPicon.png
+@dirrmtry share/applications
+@dirrm share/gmtp
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Guido Falsi freebsd_committer 2013-03-06 22:31:35 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!